package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhPushDataStatTotal;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhPushDataStatTotalExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformGzhPushDataStatTotalMapper {
    long countByExample(ContentPlatformGzhPushDataStatTotalExample example);

    int deleteByExample(ContentPlatformGzhPushDataStatTotalExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformGzhPushDataStatTotal record);

    int insertSelective(ContentPlatformGzhPushDataStatTotal record);

    List<ContentPlatformGzhPushDataStatTotal> selectByExample(ContentPlatformGzhPushDataStatTotalExample example);

    ContentPlatformGzhPushDataStatTotal selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformGzhPushDataStatTotal record, @Param("example") ContentPlatformGzhPushDataStatTotalExample example);

    int updateByExample(@Param("record") ContentPlatformGzhPushDataStatTotal record, @Param("example") ContentPlatformGzhPushDataStatTotalExample example);

    int updateByPrimaryKeySelective(ContentPlatformGzhPushDataStatTotal record);

    int updateByPrimaryKey(ContentPlatformGzhPushDataStatTotal record);
}